#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>
#include <math.h>
#include <ctype.h>
#include <locale.h>
#include <limits.h>


#define MAXV (101*101)

struct adj {
	int m[MAXV][MAXV];
	int nvertices;
};

struct adj graphs[1000];

char field[MAXV][MAXV];

int r, c;

int is_wall(char field[MAXV][MAXV], int j, int i)
{
	return field[j][i] == '#' || field[j][i] == 'B' || field[j][i] == 'Y' || field[j][i] == 'R' || field[j][i] == 'G';
}
void create_graph(struct adj *graph, char field[MAXV][MAXV])
{
	int j, i;
	for (j=0; j<r; j++)
		for (i=0; i<c; i++) {
			int v = j*101+i;
			if (is_wall(field, j, i))
				continue;
			if (j > 0 && !is_wall(field, j-1, i)) {
				adj->m[v][v-101] = 1;
				adj->m[v-101][v] = 1;
			}
			if (i > 0 && !is_wall(field, j, i-1)) {
				adj->m[v][v-1] = 1;
				adj->m[v-1][v] = 1;
			}
			if (j < r-1 && !is_wall(field, j+1, i)) {
				adj->m[v][v+101] = 1;
				adj->m[v+101][v] = 1;
			}
			if (i < c-1 && !is_wall(field, j, i+1)) {
				adj->m[v][v+1] = 1;
				adj->m[v+1][v] = 1;
			}
		}
}

int main(void)
{
	int ni, i, j, k, m, n, N;
	setlocale(LC_ALL, "C");

	while (scanf("%d %d", &r, &c) == 2) {
		if (r == 0 && c == 0)
			break;

		for (j=0; j<r; j++) {
			for (i=0; i<c; i++)
				scanf("%c", &field[j][i]);
			scanf("\n");
		}

		/* create graph */
		create_graph(&graphs[0], field);

	}

	return 0;
}
