#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>
#include <math.h>
#include <ctype.h>
#include <locale.h>
#include <limits.h>

struct translation {
	char lang[10];
	char rock[20];
	char rock2[20];
	char scissors[20];
	char scissors2[20];
	char paper[20];
	char paper2[20];
};

#define LANGS 9
struct translation dictionary[LANGS] = {
	{ "cs",	"Kamen",	"",	"Nuzky",	"",	"Papir",	""},
	{ "en",	"Rock",		"",	"Scissors",	"",	"Paper",	""},
	{ "fr",	"Pierre",	"",	"Ciseaux",	"",	"Feuille",	""},
	{ "de",	"Stein",	"",	"Schere",	"",	"Papier",	""},
	{ "hu",	"Ko",		"Koe",	"Ollo",	"Olloo",	"Papir",	""},
	{ "it",	"Sasso",	"Roccia","Forbice",	"",	"Carta",	"Rete"},
	{ "jp",	"Guu",		"",	"Choki",	"",	"Paa",	""},
	{ "pl",	"Kamien",	"",	"Nozyce",	"",	"Papier",	""},
	{ "es",	"Piedra",	"",	"Tijera",	"",	"Papel",	""}
};

int translate(char *lang, char *word)
{
	int i;
	for (i=0; i<LANGS; i++) {
		if (strcmp(dictionary[i].lang, lang) != 0)
			continue;
		if (strcmp(dictionary[i].rock, word) == 0)
			return 0;
		if (strcmp(dictionary[i].rock2, word) == 0)
			return 0;
		if (strcmp(dictionary[i].scissors, word) == 0)
			return 1;
		if (strcmp(dictionary[i].scissors2, word) == 0)
			return 1;
		if (strcmp(dictionary[i].paper, word) == 0)
			return 2;
		if (strcmp(dictionary[i].paper2, word) == 0)
			return 2;
	}

	return INT_MIN;
}
			/* 0 - rock, 1 - scissors, 2 - paper */
int is_winner(int rps1, int rps2)
{
	if (rps1 == 0 && rps2 == 1)
		return 1;
	if (rps1 == 1 && rps2 == 2)
		return 1;
	if (rps1 == 2 && rps2 == 0)
		return 1;
	return 0;
}
int main(void)
{
	int ni, i, j, k, m, n, N;
	int gamen = 1;
	char lang1[10];
	char lang2[10];
	char name1[100];
	char name2[100];

	setlocale(LC_ALL, "C");

	while (1) {
		int points1, points2;
		char word1[10];

		scanf("%s", lang1);
		if (lang1[0] == '.')
			break;
		scanf("%s", name1);
		scanf("%s %s", lang2, name2);

		points1 = points2 = 0;
		while (1) {
			char word2[10];
			int rps1; /* 0 - rock, 1 - scissors, 2 - paper */
			int rps2;
			scanf("%s", word1);
			if (word1[0] == '-' || word1[0] == '.')
				break;
			scanf("%s", word2);

			rps1 = translate(lang1, word1);
			rps2 = translate(lang2, word2);

			points1 += is_winner(rps1, rps2);
			points2 += is_winner(rps2, rps1);

		}
		if (gamen > 1)
			printf("\n");
		printf("Game #%i:\n", gamen);
		gamen++;
		printf("%s: %i point%s\n",
				name1, points1, points1 == 1 ? "":"s");
		printf("%s: %i point%s\n",
				name2, points2, points2 == 1 ? "":"s");
		if (points1 == points2)
			printf("TIED GAME\n");
		else if (points1 > points2)
			printf("WINNER: %s\n", name1);
		else if (points1 < points2)
			printf("WINNER: %s\n", name2);
		if (word1[0] == '.')
			break;
	}
	return 0;
}
