#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>
#include <math.h>
#include <ctype.h>
#include <locale.h>
#include <limits.h>

#define SAMPLES 100001

int samples[SAMPLES];
int samples_order[SAMPLES];

void reverse_samples(int start, int end)
{
	int i;
	for (i=0; i<=(end-start)/2; i++) {
		int tmp = samples[start+i];
		samples[start+i] = samples[end-i];
		samples[end-i] = tmp;

		tmp = samples_order[start+i];
		samples_order[start+i] = samples_order[end-i];
		samples_order[end-i] = tmp;
	}
}

void reverse(int n)
{
	int i, j;

	for (i=0; i<n; i++) {
		int mini;
		int min = INT_MAX;
		int min_order = INT_MAX;
		for (j=i; j<n; j++)
			if (samples[j] < min || (samples[j] == min && samples_order[j] < min_order)) {
				min = samples[j];
				mini = j;
				min_order = samples_order[j];
			}
/*
		printf("i:%i, mini:%i\n", i, mini);
		for (j=0; j<n; j++)
			printf("%d ", samples[j]);
		printf("\n");
*/
		reverse_samples(i, mini);
/*		for (j=0; j<n; j++)
			printf("%d ", samples[j]);
		printf("\n");
*/
		if (i == 0)
			printf("%d", mini+1);
		else
			printf(" %d", mini+1);
	}
	printf("\n");
}

int main(void)
{
	int ni, i, j, k, m, n, N;
	setlocale(LC_ALL, "C");

	while (1) {
		scanf("%d", &n);

		if (n == 0)
			break;

		for (i=0; i<n; i++) {
			scanf("%d", &samples[i]);
			samples_order[i] = i;
		}

		reverse(n);
	}
	return 0;
}
